> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/org/devices/sync-device-serialnumbers-to-entraid_scheduled.md).

# デバイスのシリアル番号を Entra ID に同期（スケジュール済み）

Intune のシリアル番号を Entra ID の拡張属性にコピー

{% hint style="info" %}
これはスケジュールされた runbook です。単一のオブジェクトに対してトリガーされるのではなく、繰り返しのスケジュールで実行されるように設計されています。詳細は [スケジューリング](/ja/zi-dong-hua/runbooks/scheduling.md) runbook のスケジュールの設定方法の詳細については
{% endhint %}

### 説明

各 Intune 管理デバイスのシリアル番号を、その Entra ID デバイス オブジェクトの拡張属性のいずれかに書き込みます。これにより、シリアル番号を動的グループやフィルターで利用できるようになります。既定では、値が未設定または異なるデバイスのみが更新されます。レポートはメールで送信できます。

### 場所

組織 → デバイス → Entra ID にデバイス シリアル番号を同期 (スケジュール済み)

**完全な Runbook 名**

rjgit-org\_devices\_sync-device-serialnumbers-to-entraid\_scheduled

### 詳細

| プロパティ    | 値                                   |
| -------- | ----------------------------------- |
| バージョン    | 1.0.1                               |
| 必須モジュール  | RealmJoin.RunbookHelper (>= 0.8.10) |
| スケジュール可能 | はい                                  |

### 権限

#### アプリケーションのアクセス許可

* **種類**: Microsoft Graph
  * Organization.Read.All
    * *メールレポート内の Tenant の表示名を取得するために /organization を読み取ります*
  * Device.ReadWrite.All
    * *Entra デバイスを一覧表示し、Intune のシリアル番号で extensionAttributes を更新します*
  * DeviceManagementManagedDevices.Read.All
    * *serialNumber と azureADDeviceId を取得するために Intune 管理デバイスを読み取ります*
  * Mail.Send *(オプション — 機能: メール レポート)*
    * *sendReportTo が設定されている場合、/users/{sendReportFrom}/sendMail 経由で HTML 同期レポートを送信します*

### パラメーター

#### ExtensionAttributeNumber

どの Entra ID の拡張属性 (1〜15) にシリアル番号を格納するか。

| プロパティ   | 値      |
| ------- | ------ |
| 必須      | false  |
| 既定値     | 1      |
| 種類      | Int32  |
| ポータル表示名 | 拡張属性番号 |

#### ProcessAllDevices

値の有無や差異にかかわらず、すべてのデバイスに属性を書き込みます。

| プロパティ   | 値                |
| ------- | ---------------- |
| 必須      | false            |
| 既定値     | False            |
| 種類      | ブール値             |
| ポータル表示名 | すべてのデバイスを処理しますか? |

#### MaxDevicesToProcess

この数のデバイスで停止します。0 は制限なしを意味します。

| プロパティ   | 値                |
| ------- | ---------------- |
| 必須      | false            |
| 既定値     | 0                |
| 種類      | Int32            |
| ポータル表示名 | 1回の実行あたりの最大デバイス数 |

#### sendReportTo

レポートの送信先アドレスです。空のままにすると送信されません。

| プロパティ   | 値       |
| ------- | ------- |
| 必須      | false   |
| 既定値     |         |
| 種類      | 文字列     |
| ポータル表示名 | レポートの宛先 |

#### sendReportFrom

レポート メールの送信元アドレスです。Tenant に存在するメールボックスを使用してください。

| プロパティ   | 値                         |
| ------- | ------------------------- |
| 必須      | false                     |
| 既定値     | <runbook@glueckkanja.com> |
| 種類      | 文字列                       |
| ポータル表示名 | レポート送信元                   |

[Runbook リファレンスの概要に戻る](/ja/zi-dong-hua/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/org/devices/sync-device-serialnumbers-to-entraid_scheduled.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
